GNU logs - #18530, boring messages


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#18530: 24.3; Emacs unable to handle very large lines
Resent-From: Amit Barve <mtbar131@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 22 Sep 2014 17:57:01 +0000
Resent-Message-ID: <handler.18530.B.141140856928047 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 18530
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 18530 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.141140856928047
          (code B ref -1); Mon, 22 Sep 2014 17:57:01 +0000
Received: (at submit) by debbugs.gnu.org; 22 Sep 2014 17:56:09 +0000
Received: from localhost ([127.0.0.1]:49102 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XW7qJ-0007IG-NV
	for submit <at> debbugs.gnu.org; Mon, 22 Sep 2014 13:56:09 -0400
Received: from eggs.gnu.org ([208.118.235.92]:38236)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <mtbar131@HIDDEN>) id 1XVwAc-0008N2-AD
 for submit <at> debbugs.gnu.org; Mon, 22 Sep 2014 01:28:19 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mtbar131@HIDDEN>) id 1XVwAa-0006Tl-GK
 for submit <at> debbugs.gnu.org; Mon, 22 Sep 2014 01:28:18 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.1 required=5.0 tests=BAYES_50,
 FREEMAIL_ENVFROM_END_DIGIT,FREEMAIL_FROM,HTML_MESSAGE,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:45343)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mtbar131@HIDDEN>) id 1XVwAa-0006TK-Di
 for submit <at> debbugs.gnu.org; Mon, 22 Sep 2014 01:28:16 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:39935)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mtbar131@HIDDEN>) id 1XVwAT-00007o-8P
 for bug-gnu-emacs@HIDDEN; Mon, 22 Sep 2014 01:28:11 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mtbar131@HIDDEN>) id 1XVwAO-0006Sa-Rf
 for bug-gnu-emacs@HIDDEN; Mon, 22 Sep 2014 01:28:09 -0400
Received: from mail-pa0-x232.google.com ([2607:f8b0:400e:c03::232]:40287)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mtbar131@HIDDEN>) id 1XVwAO-0006S3-FY
 for bug-gnu-emacs@HIDDEN; Mon, 22 Sep 2014 01:28:04 -0400
Received: by mail-pa0-f50.google.com with SMTP id rd3so2410535pab.9
 for <bug-gnu-emacs@HIDDEN>; Sun, 21 Sep 2014 22:27:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:date:message-id:subject:from:to:content-type;
 bh=tX64d4TPMiZRNlm7QW9zx6NZRrMp8dLKdHYkxugrIB0=;
 b=DRAaLnMldG75f78T7U3l1tAX8pK1/bXTOAsxRFUYLAsBfUPCRDwRzxWwwcGGDPipbw
 Ap/kp8ip3i9rVmeHHiKi60F43ljJaSVXze1Cz/VSLEG21TD1SoKRpVxWHA3SKsibWf7g
 QkaJPMtWHNe1dJYr3Pl+RC6CIi/Ze5xBAdoSvsy42RBSB/Nh9kwoHRg084SGjzddFP8K
 wLuab/p8KrpXkzwpJIKVJOnMKPZtlZ1AMn5e+kyU5ZQNQC04xc5o80tuVcxa6WvOr43G
 DmsWLPdxo3cT/GqM+Q2KhQe2PCqzB7+e0/UbFPzQIjvZbazG7wy/5lfbAxyF0CzVK4Af
 BfGg==
MIME-Version: 1.0
X-Received: by 10.68.245.135 with SMTP id xo7mr671417pbc.161.1411363678102;
 Sun, 21 Sep 2014 22:27:58 -0700 (PDT)
Received: by 10.70.41.12 with HTTP; Sun, 21 Sep 2014 22:27:58 -0700 (PDT)
Date: Mon, 22 Sep 2014 10:57:58 +0530
Message-ID: <CAMy5G4jmzrVi5TccVxcvCaHkGgmuxk9-iM9+tXqN5GiOZQ3jBA@HIDDEN>
From: Amit Barve <mtbar131@HIDDEN>
Content-Type: multipart/alternative; boundary=047d7b1634c1aea8400503a0b6d8
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.8 (---)
X-Mailman-Approved-At: Mon, 22 Sep 2014 13:56:06 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.8 (---)

--047d7b1634c1aea8400503a0b6d8
Content-Type: text/plain; charset=UTF-8

Hi,

I am a daily user of emacs. I am a big fan and supporter of emacs.
First of all I would like thank all developers of emacs for such a
wonderful editor!

I would like to report a bug in emacs.

Here goes the description of the bug:
Whenever I open a text file which has a very big line(a continuous line)
without a newline inside it (let's say first 1000000 space
separated numbers) then emacs is just unable to handle it.
Emacs is unable to show line count of buffer, instead it shows 'L??'
and general commands like 'move to end of file', 'move to start of line'
take a lot of time (something like a complete minute) to work.I tried by
removing
everything from my '.emacs' file but that didn't help!

I really want to use emacs and I can't even think of using some
other editor!

I am on 64 bit ubuntu and using emacs 24.3.1

Is there any way so that I can make emacs to handle such big files?

P.S: As I don't have a proper mail server configured on my system
I am just copying the content from 'M-x report-emacs-bug' here!

Thank you,
Amit Barve


In GNU Emacs 24.3.1 (x86_64-pc-linux-gnu, GTK+ Version 3.10.7)
 of 2014-03-07 on lamiak, modified by Debian
Windowing system distributor `The X.Org Foundation', version 11.0.11501000
System Description:    Ubuntu 14.04.1 LTS

Configured using:
 `configure '--build' 'x86_64-linux-gnu' '--build' 'x86_64-linux-gnu'
 '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib'
 '--localstatedir=/var/lib' '--infodir=/usr/share/info'
 '--mandir=/usr/share/man' '--with-pop=yes'
 '--enable-locallisppath=/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.3/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.3/site-lisp:/usr/share/emacs/site-lisp'
 '--with-crt-dir=/usr/lib/x86_64-linux-gnu' '--with-x=yes'
 '--with-x-toolkit=gtk3' '--with-toolkit-scroll-bars'
 'build_alias=x86_64-linux-gnu' 'CFLAGS=-g -O2 -fstack-protector
 --param=ssp-buffer-size=4 -Wformat -Werror=format-security -Wall'
 'LDFLAGS=-Wl,-Bsymbolic-functions -Wl,-z,relro'
 'CPPFLAGS=-D_FORTIFY_SOURCE=2''

Important settings:
  value of $LANG: en_IN
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: iso-latin-1-unix
  default enable-multibyte-characters: t

Major mode: C/l

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
C-x 1 M-x e <backspace> r e p <tab> o <tab> r t <tab>
<return>

Recent messages:
Loading 00debian-vars...done
Loading /etc/emacs/site-start.d/50dictionaries-common.el (source)...
Loading /var/cache/dictionaries-common/emacsen-ispell-dicts.el (source)...
Error while loading 50dictionaries-common: Symbol's value as variable is
void: debian-aspell-only-dictionary-alist
For information about GNU Emacs and the GNU system, type C-h C-a.
Loading cc-langs...done
Loading vc-git...done
Making completion list... [2 times]

Load-path shadows:
/usr/share/emacs/24.3/site-lisp/debian-startup hides
/usr/share/emacs/site-lisp/debian-startup

Features:
(shadow sort gnus-util mail-extr emacsbug message cl-macs gv format-spec
rfc822 mml mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils help-mode vc-git cc-langs cl cl-lib
cc-mode cc-fonts easymenu cc-guess cc-menus cc-cmds cc-styles cc-align
cc-engine cc-vars cc-defs time-date tooltip ediff-hook vc-hooks
lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image regexp-opt
fringe tabulated-list newcomment lisp-mode register page menu-bar
rfn-eshadow timer select scroll-bar mouse jit-lock font-lock syntax
facemenu font-core frame cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese hebrew greek romanian slovak
czech european ethiopic indian cyrillic chinese case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer loaddefs button faces
cus-face macroexp files text-properties overlay sha1 md5 base64 format
env code-pages mule custom widget hashtable-print-readable backquote
make-network-process dbusbind dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)

--047d7b1634c1aea8400503a0b6d8
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Hi,<br><br>I am a daily user of emacs. I am a big fan and =
supporter of emacs.<br>First of all I would like thank all developers of em=
acs for such a <br>wonderful editor!<br><br>I would like to report a bug in=
 emacs.<br><br>Here goes the description of the bug:<br>Whenever I open a t=
ext file which has a very big line(a continuous line)<br>without a newline =
inside it (let&#39;s say first 1000000 space<br>separated numbers) then ema=
cs is just unable to handle it.<br>Emacs is unable to show line count of bu=
ffer, instead it shows &#39;L??&#39;<br>and general commands like &#39;move=
 to end of file&#39;, &#39;move to start of line&#39;<br>take a lot of time=
 (something like a complete minute) to work.I tried by removing<br>everythi=
ng from my &#39;.emacs&#39; file but that didn&#39;t help!<br><br>I really =
want to use emacs and I can&#39;t even think of using some<br>other editor!=
 <br><br>I am on 64 bit ubuntu and using emacs 24.3.1<br><br>Is there any w=
ay so that I can make emacs to handle such big files?<br><br>P.S: As I don&=
#39;t have a proper mail server configured on my system<br>I am just copyin=
g the content from &#39;M-x report-emacs-bug&#39; here!<br><br>Thank you,<b=
r>Amit Barve<br><br><br>In GNU Emacs 24.3.1 (x86_64-pc-linux-gnu, GTK+ Vers=
ion 3.10.7)<br>=C2=A0of 2014-03-07 on lamiak, modified by Debian<br>Windowi=
ng system distributor `The X.Org Foundation&#39;, version 11.0.11501000<br>=
System Description:=C2=A0=C2=A0=C2=A0 Ubuntu 14.04.1 LTS<br><br>Configured =
using:<br>=C2=A0`configure &#39;--build&#39; &#39;x86_64-linux-gnu&#39; &#3=
9;--build&#39; &#39;x86_64-linux-gnu&#39;<br>=C2=A0&#39;--prefix=3D/usr&#39=
; &#39;--sharedstatedir=3D/var/lib&#39; &#39;--libexecdir=3D/usr/lib&#39;<b=
r>=C2=A0&#39;--localstatedir=3D/var/lib&#39; &#39;--infodir=3D/usr/share/in=
fo&#39;<br>=C2=A0&#39;--mandir=3D/usr/share/man&#39; &#39;--with-pop=3Dyes&=
#39;<br>=C2=A0&#39;--enable-locallisppath=3D/etc/emacs24:/etc/emacs:/usr/lo=
cal/share/emacs/24.3/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/=
emacs/24.3/site-lisp:/usr/share/emacs/site-lisp&#39;<br>=C2=A0&#39;--with-c=
rt-dir=3D/usr/lib/x86_64-linux-gnu&#39; &#39;--with-x=3Dyes&#39;<br>=C2=A0&=
#39;--with-x-toolkit=3Dgtk3&#39; &#39;--with-toolkit-scroll-bars&#39;<br>=
=C2=A0&#39;build_alias=3Dx86_64-linux-gnu&#39; &#39;CFLAGS=3D-g -O2 -fstack=
-protector<br>=C2=A0--param=3Dssp-buffer-size=3D4 -Wformat -Werror=3Dformat=
-security -Wall&#39;<br>=C2=A0&#39;LDFLAGS=3D-Wl,-Bsymbolic-functions -Wl,-=
z,relro&#39;<br>=C2=A0&#39;CPPFLAGS=3D-D_FORTIFY_SOURCE=3D2&#39;&#39;<br><b=
r>Important settings:<br>=C2=A0 value of $LANG: en_IN<br>=C2=A0 value of $X=
MODIFIERS: @im=3Dibus<br>=C2=A0 locale-coding-system: iso-latin-1-unix<br>=
=C2=A0 default enable-multibyte-characters: t<br><br>Major mode: C/l<br><br=
>Minor modes in effect:<br>=C2=A0 tooltip-mode: t<br>=C2=A0 mouse-wheel-mod=
e: t<br>=C2=A0 tool-bar-mode: t<br>=C2=A0 menu-bar-mode: t<br>=C2=A0 file-n=
ame-shadow-mode: t<br>=C2=A0 global-font-lock-mode: t<br>=C2=A0 font-lock-m=
ode: t<br>=C2=A0 blink-cursor-mode: t<br>=C2=A0 auto-composition-mode: t<br=
>=C2=A0 auto-encryption-mode: t<br>=C2=A0 auto-compression-mode: t<br>=C2=
=A0 line-number-mode: t<br>=C2=A0 transient-mark-mode: t<br>=C2=A0 abbrev-m=
ode: t<br><br>Recent input:<br>C-x 1 M-x e &lt;backspace&gt; r e p &lt;tab&=
gt; o &lt;tab&gt; r t &lt;tab&gt; <br>&lt;return&gt;<br><br>Recent messages=
:<br>Loading 00debian-vars...done<br>Loading /etc/emacs/site-start.d/50dict=
ionaries-common.el (source)...<br>Loading /var/cache/dictionaries-common/em=
acsen-ispell-dicts.el (source)...<br>Error while loading 50dictionaries-com=
mon: Symbol&#39;s value as variable is void: debian-aspell-only-dictionary-=
alist<br>For information about GNU Emacs and the GNU system, type C-h C-a.<=
br>Loading cc-langs...done<br>Loading vc-git...done<br>Making completion li=
st... [2 times]<br><br>Load-path shadows:<br>/usr/share/emacs/24.3/site-lis=
p/debian-startup hides /usr/share/emacs/site-lisp/debian-startup<br><br>Fea=
tures:<br>(shadow sort gnus-util mail-extr emacsbug message cl-macs gv form=
at-spec<br>rfc822 mml mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2=
231<br>mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums<=
br>mm-util mail-prsvr mail-utils help-mode vc-git cc-langs cl cl-lib<br>cc-=
mode cc-fonts easymenu cc-guess cc-menus cc-cmds cc-styles cc-align<br>cc-e=
ngine cc-vars cc-defs time-date tooltip ediff-hook vc-hooks<br>lisp-float-t=
ype mwheel x-win x-dnd tool-bar dnd fontset image regexp-opt<br>fringe tabu=
lated-list newcomment lisp-mode register page menu-bar<br>rfn-eshadow timer=
 select scroll-bar mouse jit-lock font-lock syntax<br>facemenu font-core fr=
ame cham georgian utf-8-lang misc-lang vietnamese<br>tibetan thai tai-viet =
lao korean japanese hebrew greek romanian slovak<br>czech european ethiopic=
 indian cyrillic chinese case-table epa-hook<br>jka-cmpr-hook help simple a=
bbrev minibuffer loaddefs button faces<br>cus-face macroexp files text-prop=
erties overlay sha1 md5 base64 format<br>env code-pages mule custom widget =
hashtable-print-readable backquote<br>make-network-process dbusbind dynamic=
-setting system-font-setting<br>font-render-setting move-toolbar gtk x-tool=
kit x multi-tty emacs)<br><br></div>

--047d7b1634c1aea8400503a0b6d8--




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.503 (Entity 5.503)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Amit Barve <mtbar131@HIDDEN>
Subject: bug#18530: Acknowledgement (24.3; Emacs unable to handle very
 large lines)
Message-ID: <handler.18530.B.141140856928047.ack <at> debbugs.gnu.org>
References: <CAMy5G4jmzrVi5TccVxcvCaHkGgmuxk9-iM9+tXqN5GiOZQ3jBA@HIDDEN>
X-Gnu-PR-Message: ack 18530
X-Gnu-PR-Package: emacs
Reply-To: 18530 <at> debbugs.gnu.org
Date: Mon, 22 Sep 2014 17:57:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 18530 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
18530: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D18530
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 23 Sep 2014 09:50:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 23 05:50:50 2014
Received: from localhost ([127.0.0.1]:49447 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XWMkE-00087q-2G
	for submit <at> debbugs.gnu.org; Tue, 23 Sep 2014 05:50:50 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:53023)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1XWMkB-00087i-Qy
 for control <at> debbugs.gnu.org; Tue, 23 Sep 2014 05:50:48 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1XWMkB-0006wu-Kk
 for control <at> debbugs.gnu.org; Tue, 23 Sep 2014 05:50:47 -0400
Date: Tue, 23 Sep 2014 05:50:47 -0400
Message-Id: <E1XWMkB-0006wu-Kk@HIDDEN>
Subject: control message for bug 18530
To: <control <at> debbugs.gnu.org>
X-Mailer: mail (GNU Mailutils 2.1)
From: Glenn Morris <rgm@HIDDEN>
X-Spam-Score: -6.0 (------)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

merge 3219 18530




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#18530: 24.3; Emacs unable to handle very large lines
Resent-From: Alexis <flexibeast@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 28 Sep 2014 07:49:01 +0000
Resent-Message-ID: <handler.18530.B18530.14118905218272 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 18530
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 18530 <at> debbugs.gnu.org
Cc: Amit Barve <mtbar131@HIDDEN>
Received: via spool by 18530-submit <at> debbugs.gnu.org id=B18530.14118905218272
          (code B ref 18530); Sun, 28 Sep 2014 07:49:01 +0000
Received: (at 18530) by debbugs.gnu.org; 28 Sep 2014 07:48:41 +0000
Received: from localhost ([127.0.0.1]:54050 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XY9Dk-00029L-DS
	for submit <at> debbugs.gnu.org; Sun, 28 Sep 2014 03:48:40 -0400
Received: from mail-pa0-f44.google.com ([209.85.220.44]:56826)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <flexibeast@HIDDEN>) id 1XY9Di-00029B-8I
 for 18530 <at> debbugs.gnu.org; Sun, 28 Sep 2014 03:48:39 -0400
Received: by mail-pa0-f44.google.com with SMTP id et14so810371pad.31
 for <18530 <at> debbugs.gnu.org>; Sun, 28 Sep 2014 00:48:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=references:from:to:cc:subject:date:in-reply-to:message-id
 :mime-version:content-type;
 bh=GAboZH3VASMmEgdK7e5T3E5bs1SBghwxH0sP2Jl+aes=;
 b=gdH5fOvnFFlUCYyOUWV6ccYxX8/sdmp5V14jFkAwcKFbcu9PB6Jz4dY1oIMvd9Acvp
 VuIw3xTslD5tFtf0T5agmLZzefNTXD8rxpIzIzF3fSHSKFmgxYIToxhOnAmKQfBrTQbB
 Me6dvmBWaRK9L/+WeVz83qz2QDsMvozofn2v3r3ZEzxwNX7yUA0jZ3+FUFIMhl1y5AP9
 bMZi+TAnVFRb7g4uroLrbTmqMueexGvezaTlWiKbfCYUb2oxTYmOt/L7gXEUq66Fj2yu
 5wLO0GzbyNdBEG4KpzYuk62t8O+3AC8EM1U4lorinVH6L+c3w51iQdKy3qToGW/uGpsx
 +eUA==
X-Received: by 10.66.90.162 with SMTP id bx2mr48102450pab.39.1411890517065;
 Sun, 28 Sep 2014 00:48:37 -0700 (PDT)
Received: from localhost (ppp118-209-47-212.lns20.mel4.internode.on.net.
 [118.209.47.212])
 by mx.google.com with ESMTPSA id q1sm9143942pds.69.2014.09.28.00.48.33
 for <multiple recipients>
 (version=TLSv1.2 cipher=RC4-SHA bits=128/128);
 Sun, 28 Sep 2014 00:48:36 -0700 (PDT)
References: <CAMy5G4jmzrVi5TccVxcvCaHkGgmuxk9-iM9+tXqN5GiOZQ3jBA@HIDDEN>
From: Alexis <flexibeast@HIDDEN>
Date: Sun, 28 Sep 2014 17:16:06 +1000
In-reply-to: <CAMy5G4jmzrVi5TccVxcvCaHkGgmuxk9-iM9+tXqN5GiOZQ3jBA@HIDDEN>
Message-ID: <87y4t4fanm.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)


Amit Barve writes:

> Here goes the description of the bug: Whenever I open a text file
> which has a very big line(a continuous line) without a newline inside
> it (let's say first 1000000 space separated numbers) then emacs is
> just unable to handle it.  Emacs is unable to show line count of
> buffer, instead it shows 'L??'  and general commands like 'move to end
> of file', 'move to start of line' take a lot of time (something like a
> complete minute) to work.I tried by removing everything from my
> '.emacs' file but that didn't help!

i've been able to reproduce this on both 24.3.3 and 24.3.93.2 (both
manually compiled on 64-bit Debian Wheezy running on an i5), having
created the utf-8 file test.txt with:

    for i in `seq 1 1000000`; do echo -n "$i " >> test.txt; done

then loading that file into an `emacs -Q` session. Moving from one end
of the buffer takes 15-20 seconds.

If i `toggle-truncate-lines`, the line count is correctly listed as 1,
but trying to move to the end of the line only results in displaying
complete numbers up to and including '194455', even though the column
number on the mode-line says that point is at the line's end. The
highest column number at which point is still visible is 1250082; after
that, moving point further towards the end of the line makes the cursor
no longer visible.

If i call `fill-paragraph` on that line, i get a line count of 98882,
and moving from one end of the buffer to the other only takes a second
or so.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#18530: 24.3; Emacs unable to handle very large lines
Resent-From: Alexis <flexibeast@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 28 Sep 2014 10:28:02 +0000
Resent-Message-ID: <handler.18530.B18530.141190002322943 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 18530
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 18530 <at> debbugs.gnu.org
Cc: Amit Barve <mtbar131@HIDDEN>
Received: via spool by 18530-submit <at> debbugs.gnu.org id=B18530.141190002322943
          (code B ref 18530); Sun, 28 Sep 2014 10:28:02 +0000
Received: (at 18530) by debbugs.gnu.org; 28 Sep 2014 10:27:03 +0000
Received: from localhost ([127.0.0.1]:54112 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XYBh0-0005xy-Ly
	for submit <at> debbugs.gnu.org; Sun, 28 Sep 2014 06:27:03 -0400
Received: from mail-pd0-f170.google.com ([209.85.192.170]:33925)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <flexibeast@HIDDEN>) id 1XYBgx-0005xY-Oj
 for 18530 <at> debbugs.gnu.org; Sun, 28 Sep 2014 06:27:00 -0400
Received: by mail-pd0-f170.google.com with SMTP id y13so15351266pdi.15
 for <18530 <at> debbugs.gnu.org>; Sun, 28 Sep 2014 03:26:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=references:from:to:cc:subject:date:in-reply-to:message-id
 :mime-version:content-type;
 bh=jEoEWoUbzOVCA5hZpHz8aZe1UzQ7CJKPgP/ql4c3ynM=;
 b=Cy7Sp7owur2LAlcRYTBytAcN1CCovk9g7okRAONJWy5ro2ou250IhXjpOD0OH5mEGQ
 /FXgJyt32+2gtHB2ej5RD5w9fjnk7KQr/8PeV4j9FGOLdCAIvijj+uDBFV3QbO50tFZ3
 EbaPfEOfBmwmSAABVxD0Re5couz3Fgx4BRdxgqYN1kErGbLKJudBJl/TnSlldiqWBAb9
 Xm+jCzPod31z8vpQ7sEDp01nl5D3blYm+XllrXpSFNsGr67Tc+LHHCHGHgArVI4OjPkI
 OqtvEfuS5iNKwdAaoqBTQP0Gad4P6909KPd5wPfzmUcMNEbk7P/CQP+oXgR34pQ3lMuv
 Uo1Q==
X-Received: by 10.68.238.99 with SMTP id vj3mr50327620pbc.43.1411900018583;
 Sun, 28 Sep 2014 03:26:58 -0700 (PDT)
Received: from localhost (ppp118-209-47-212.lns20.mel4.internode.on.net.
 [118.209.47.212])
 by mx.google.com with ESMTPSA id j3sm9477452pdr.31.2014.09.28.03.26.56
 for <multiple recipients>
 (version=TLSv1.2 cipher=RC4-SHA bits=128/128);
 Sun, 28 Sep 2014 03:26:57 -0700 (PDT)
References: <CAMy5G4jmzrVi5TccVxcvCaHkGgmuxk9-iM9+tXqN5GiOZQ3jBA@HIDDEN>
 <87y4t4fanm.fsf@HIDDEN>
 <CAMy5G4jCKcfCWF=zWEAUszCO1k=jN_A79jNvez1=7+u-DMCELg@HIDDEN>
From: Alexis <flexibeast@HIDDEN>
Date: Sun, 28 Sep 2014 20:10:45 +1000
In-reply-to: <CAMy5G4jCKcfCWF=zWEAUszCO1k=jN_A79jNvez1=7+u-DMCELg@HIDDEN>
Message-ID: <87wq8of3bn.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)


Amit Barve writes:

> Thanks a lot Alexis for your reply!

You're welcome. :-)

> "toggle-truncate-lines" and "fil-paragraph" worked!!
> Though execution of both commands take a long time
> but after that I can move and edit very quickly!

Oh, well, i wasn't suggesting those commands as any kind of solution; i
just wanted to indicate what behaviours i observed when using those
commands.

> These commands work when emacs is opened with -nw option
> if I open emacs in GUI mode then line count is still shown as
> 'L??'

Hm, okay. In my own tests, above i was using Emacs in an X window, not
in a terminal ....

> Anyway thanks a lot! Now I can work with such big files!
> but I think this can still be considered as bug!
> because vim opens the file quite easily and without any
> modifications!

*nod* Yes, when i open test.txt in Vim, moving to the end of the line
with $, or to the beginning of the line with ^, both take less than a
second. And cursor movement with j, k etc. is basically
responsive. Whereas in Emacs, trying to move point up or down results in
20+ seconds of lag before point is actually moved.

As another data point: i tried disabling `visual-line-mode`, instead
loading longlines.el from EmacsWiki and enabling
`longlines-mode`. `longlines-mode` was /much/ more responsive - moving
point up, down, to beginning of line, or to end of line, all only had a
lag of 1-2 seconds.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#18530: 24.3; Emacs unable to handle very large lines
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 28 Sep 2014 16:20:02 +0000
Resent-Message-ID: <handler.18530.B18530.141192117428790 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 18530
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Alexis <flexibeast@HIDDEN>
Cc: 18530 <at> debbugs.gnu.org, mtbar131@HIDDEN
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 18530-submit <at> debbugs.gnu.org id=B18530.141192117428790
          (code B ref 18530); Sun, 28 Sep 2014 16:20:02 +0000
Received: (at 18530) by debbugs.gnu.org; 28 Sep 2014 16:19:34 +0000
Received: from localhost ([127.0.0.1]:54477 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XYHC9-0007UI-Qo
	for submit <at> debbugs.gnu.org; Sun, 28 Sep 2014 12:19:34 -0400
Received: from mtaout24.012.net.il ([80.179.55.180]:34237)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1XYHC7-0007U7-4i
 for 18530 <at> debbugs.gnu.org; Sun, 28 Sep 2014 12:19:32 -0400
Received: from conversion-daemon.mtaout24.012.net.il by mtaout24.012.net.il
 (HyperSendmail v2007.08) id <0NCM00800CVO8W00@HIDDEN> for
 18530 <at> debbugs.gnu.org; Sun, 28 Sep 2014 19:13:45 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout24.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NCM00O71D2WH890@HIDDEN>; Sun, 28 Sep 2014 19:13:45 +0300 (IDT)
Date: Sun, 28 Sep 2014 19:19:18 +0300
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <87y4t4fanm.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
Message-id: <83y4t3n2ex.fsf@HIDDEN>
References: <CAMy5G4jmzrVi5TccVxcvCaHkGgmuxk9-iM9+tXqN5GiOZQ3jBA@HIDDEN>
 <87y4t4fanm.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Alexis <flexibeast@HIDDEN>
> Date: Sun, 28 Sep 2014 17:16:06 +1000
> Cc: Amit Barve <mtbar131@HIDDEN>
> 
> 
> Amit Barve writes:
> 
> > Here goes the description of the bug: Whenever I open a text file
> > which has a very big line(a continuous line) without a newline inside
> > it (let's say first 1000000 space separated numbers) then emacs is
> > just unable to handle it.  Emacs is unable to show line count of
> > buffer, instead it shows 'L??'  and general commands like 'move to end
> > of file', 'move to start of line' take a lot of time (something like a
> > complete minute) to work.I tried by removing everything from my
> > '.emacs' file but that didn't help!
> 
> i've been able to reproduce this on both 24.3.3 and 24.3.93.2 (both
> manually compiled on 64-bit Debian Wheezy running on an i5), having
> created the utf-8 file test.txt with:
> 
>     for i in `seq 1 1000000`; do echo -n "$i " >> test.txt; done
> 
> then loading that file into an `emacs -Q` session. Moving from one end
> of the buffer takes 15-20 seconds.

This is bug #13675, a well-known imitation of the current Emacs
display engine.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#18530: 24.3; Emacs unable to handle very large lines
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 28 Sep 2014 16:22:01 +0000
Resent-Message-ID: <handler.18530.B18530.141192128729001 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 18530
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Alexis <flexibeast@HIDDEN>
Cc: 18530 <at> debbugs.gnu.org, mtbar131@HIDDEN
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 18530-submit <at> debbugs.gnu.org id=B18530.141192128729001
          (code B ref 18530); Sun, 28 Sep 2014 16:22:01 +0000
Received: (at 18530) by debbugs.gnu.org; 28 Sep 2014 16:21:27 +0000
Received: from localhost ([127.0.0.1]:54481 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XYHDz-0007Xh-AQ
	for submit <at> debbugs.gnu.org; Sun, 28 Sep 2014 12:21:27 -0400
Received: from mtaout25.012.net.il ([80.179.55.181]:42856)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1XYHDx-0007XQ-F7
 for 18530 <at> debbugs.gnu.org; Sun, 28 Sep 2014 12:21:26 -0400
Received: from conversion-daemon.mtaout25.012.net.il by mtaout25.012.net.il
 (HyperSendmail v2007.08) id <0NCM00500CU4ZV00@HIDDEN> for
 18530 <at> debbugs.gnu.org; Sun, 28 Sep 2014 19:16:30 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout25.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NCM00291D7H7D50@HIDDEN>; Sun, 28 Sep 2014 19:16:30 +0300 (IDT)
Date: Sun, 28 Sep 2014 19:21:13 +0300
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <87wq8of3bn.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
Message-id: <83wq8nn2bq.fsf@HIDDEN>
References: <CAMy5G4jmzrVi5TccVxcvCaHkGgmuxk9-iM9+tXqN5GiOZQ3jBA@HIDDEN>
 <87y4t4fanm.fsf@HIDDEN>
 <CAMy5G4jCKcfCWF=zWEAUszCO1k=jN_A79jNvez1=7+u-DMCELg@HIDDEN>
 <87wq8of3bn.fsf@HIDDEN>
X-Spam-Score: 3.7 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  > From: Alexis <flexibeast@HIDDEN> > Date: Sun, 28 Sep
 2014 20:10:45 +1000 > Cc: Amit Barve <mtbar131@HIDDEN> > > *nod* Yes, when
 i open test.txt in Vim, moving to the end of the line > with $, or to the
 beginning of the line with ^, both take less than a > second. And cursor
 movement with j, k etc. is basically > responsive. Whereas in Emacs, trying
 to move point up or down results in > 20+ seconds of lag before point is
 actually moved. [...] 
 Content analysis details:   (3.7 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.7 RCVD_IN_PSBL           RBL: Received via a relay in PSBL
 [80.179.55.181 listed in psbl.surriel.com]
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 3.7 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > From: Alexis <flexibeast@HIDDEN> > Date: Sun, 28 Sep
   2014 20:10:45 +1000 > Cc: Amit Barve <mtbar131@HIDDEN> > > *nod* Yes, when
    i open test.txt in Vim, moving to the end of the line > with $, or to the
    beginning of the line with ^, both take less than a > second. And cursor
   movement with j, k etc. is basically > responsive. Whereas in Emacs, trying
    to move point up or down results in > 20+ seconds of lag before point is
   actually moved. [...] 
 
 Content analysis details:   (3.7 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.7 RCVD_IN_PSBL           RBL: Received via a relay in PSBL
                             [80.179.55.181 listed in psbl.surriel.com]
  1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)

> From: Alexis <flexibeast@HIDDEN>
> Date: Sun, 28 Sep 2014 20:10:45 +1000
> Cc: Amit Barve <mtbar131@HIDDEN>
> 
> *nod* Yes, when i open test.txt in Vim, moving to the end of the line
> with $, or to the beginning of the line with ^, both take less than a
> second. And cursor movement with j, k etc. is basically
> responsive. Whereas in Emacs, trying to move point up or down results in
> 20+ seconds of lag before point is actually moved.

Does Vim support different font sizes on the same line, inline images,
display properties, overlays, invisible text, etc.?  These features is
what makes this particular case hard; other editors don't need to
handle all that complexity.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#18530: 24.3; Emacs unable to handle very large lines
Resent-From: Amit Barve <mtbar131@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 29 Sep 2014 01:27:01 +0000
Resent-Message-ID: <handler.18530.B18530.141195401715654 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 18530
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 18530 <at> debbugs.gnu.org, Alexis <flexibeast@HIDDEN>
Received: via spool by 18530-submit <at> debbugs.gnu.org id=B18530.141195401715654
          (code B ref 18530); Mon, 29 Sep 2014 01:27:01 +0000
Received: (at 18530) by debbugs.gnu.org; 29 Sep 2014 01:26:57 +0000
Received: from localhost ([127.0.0.1]:54670 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XYPjt-00044P-74
	for submit <at> debbugs.gnu.org; Sun, 28 Sep 2014 21:26:57 -0400
Received: from mail-ie0-f178.google.com ([209.85.223.178]:53892)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <mtbar131@HIDDEN>) id 1XYPjq-00044G-3Z
 for 18530 <at> debbugs.gnu.org; Sun, 28 Sep 2014 21:26:54 -0400
Received: by mail-ie0-f178.google.com with SMTP id rl12so3359723iec.9
 for <18530 <at> debbugs.gnu.org>; Sun, 28 Sep 2014 18:26:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type;
 bh=LnOuZ+GE5weHTxLVXdzKwwAlYQjJDiZjEIi9NwEuvQw=;
 b=chltjkHx/7CvLvoMtjF9eBwADQuKWRQK2gkAynP9gJBO/qeE8LUUVyImdVzvCT+aLV
 ZlgA73svIAmqkaSFh7XTyLLaY13N2qajK6+wcKMOQgVsQ+FaJ4rarrtoCGnBTA5yKCKE
 jcfpuP5uISV+05fJwrOYMOjHp9nbSxIiyIX4tlSFX3d25nG9fTZ67VGKHWvwdAhofKny
 ETVX/pqSS50ql8hwcA/AvvXBbTgZUES7/t8ISqx1Bz9hF3X/+a8HLylEfXsjK6vuMbLV
 5y8QzNZFvBnS0bO7ll1aG5NNFgB3Bki5CtWywxmFfuq1VKaYkpCyxohGOAd1zyXoshli
 oy6Q==
MIME-Version: 1.0
X-Received: by 10.50.56.106 with SMTP id z10mr4730383igp.20.1411954013478;
 Sun, 28 Sep 2014 18:26:53 -0700 (PDT)
Received: by 10.107.15.88 with HTTP; Sun, 28 Sep 2014 18:26:53 -0700 (PDT)
In-Reply-To: <83wq8nn2bq.fsf@HIDDEN>
References: <CAMy5G4jmzrVi5TccVxcvCaHkGgmuxk9-iM9+tXqN5GiOZQ3jBA@HIDDEN>
 <87y4t4fanm.fsf@HIDDEN>
 <CAMy5G4jCKcfCWF=zWEAUszCO1k=jN_A79jNvez1=7+u-DMCELg@HIDDEN>
 <87wq8of3bn.fsf@HIDDEN> <83wq8nn2bq.fsf@HIDDEN>
Date: Mon, 29 Sep 2014 06:56:53 +0530
Message-ID: <CAMy5G4hO-iPzaise_9VphEeH9TPdC-zEB44yCsDba94SkCvuag@HIDDEN>
From: Amit Barve <mtbar131@HIDDEN>
Content-Type: multipart/alternative; boundary=089e0158afa669a72605042a29ab
X-Spam-Score: -0.4 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.4 (/)

--089e0158afa669a72605042a29ab
Content-Type: text/plain; charset=UTF-8

Eil I accept that emacs is way powerful than vim and other
editors. Even I am also a strong supporter of emacs.

I filed this bug because for me it was very difficult to work
with "long lines" and I don't want to use some other editor
just for this purpose.

I think if we can get over this limitation of emacs it will
make emacs a little more powerful!


On Sun, Sep 28, 2014 at 9:51 PM, Eli Zaretskii <eliz@HIDDEN> wrote:

> > From: Alexis <flexibeast@HIDDEN>
> > Date: Sun, 28 Sep 2014 20:10:45 +1000
> > Cc: Amit Barve <mtbar131@HIDDEN>
> >
> > *nod* Yes, when i open test.txt in Vim, moving to the end of the line
> > with $, or to the beginning of the line with ^, both take less than a
> > second. And cursor movement with j, k etc. is basically
> > responsive. Whereas in Emacs, trying to move point up or down results in
> > 20+ seconds of lag before point is actually moved.
>
> Does Vim support different font sizes on the same line, inline images,
> display properties, overlays, invisible text, etc.?  These features is
> what makes this particular case hard; other editors don't need to
> handle all that complexity.
>

--089e0158afa669a72605042a29ab
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div><div>Eil I accept that emacs is way powerful than vim=
 and other <br></div>editors. Even I am also a strong supporter of emacs.<b=
r></div><div><br>I filed this bug because for me it was very difficult to w=
ork <br>with &quot;long lines&quot; and I don&#39;t want to use some other =
editor<br>just for this purpose.<br><br></div><div>I think if we can get ov=
er this limitation of emacs it will<br></div><div>make emacs a little more =
powerful!<br></div><div><br></div></div><div class=3D"gmail_extra"><br><div=
 class=3D"gmail_quote">On Sun, Sep 28, 2014 at 9:51 PM, Eli Zaretskii <span=
 dir=3D"ltr">&lt;<a href=3D"mailto:eliz@HIDDEN" target=3D"_blank">eliz@gnu=
.org</a>&gt;</span> wrote:<br><blockquote class=3D"gmail_quote" style=3D"ma=
rgin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">&gt; From: Ale=
xis &lt;<a href=3D"mailto:flexibeast@HIDDEN">flexibeast@HIDDEN</a>&gt=
;<br>
&gt; Date: Sun, 28 Sep 2014 20:10:45 +1000<br>
&gt; Cc: Amit Barve &lt;<a href=3D"mailto:mtbar131@HIDDEN">mtbar131@gmai=
l.com</a>&gt;<br>
&gt;<br>
<span class=3D"">&gt; *nod* Yes, when i open test.txt in Vim, moving to the=
 end of the line<br>
&gt; with $, or to the beginning of the line with ^, both take less than a<=
br>
&gt; second. And cursor movement with j, k etc. is basically<br>
&gt; responsive. Whereas in Emacs, trying to move point up or down results =
in<br>
&gt; 20+ seconds of lag before point is actually moved.<br>
<br>
</span>Does Vim support different font sizes on the same line, inline image=
s,<br>
display properties, overlays, invisible text, etc.?=C2=A0 These features is=
<br>
what makes this particular case hard; other editors don&#39;t need to<br>
handle all that complexity.<br>
</blockquote></div><br></div>

--089e0158afa669a72605042a29ab--




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#18530: 24.3; Emacs unable to handle very large lines
Resent-From: Stefan Monnier <monnier@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 29 Sep 2014 02:31:02 +0000
Resent-Message-ID: <handler.18530.B18530.141195785721613 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 18530
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Amit Barve <mtbar131@HIDDEN>
Cc: Eli Zaretskii <eliz@HIDDEN>, Alexis <flexibeast@HIDDEN>, 18530 <at> debbugs.gnu.org
Received: via spool by 18530-submit <at> debbugs.gnu.org id=B18530.141195785721613
          (code B ref 18530); Mon, 29 Sep 2014 02:31:02 +0000
Received: (at 18530) by debbugs.gnu.org; 29 Sep 2014 02:30:57 +0000
Received: from localhost ([127.0.0.1]:54702 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XYQjo-0005cW-MA
	for submit <at> debbugs.gnu.org; Sun, 28 Sep 2014 22:30:56 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:43992)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1XYQjm-0005cO-FL
 for 18530 <at> debbugs.gnu.org; Sun, 28 Sep 2014 22:30:55 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: ArUGAIDvNVNFxKjo/2dsb2JhbABZgwaDSsA9gRcXdIIlAQEBAQIBViMFCwsOJhIUGA0kiAQI0hkXjnoHhDgEqRmBaoNMIQ
X-IPAS-Result: ArUGAIDvNVNFxKjo/2dsb2JhbABZgwaDSsA9gRcXdIIlAQEBAQIBViMFCwsOJhIUGA0kiAQI0hkXjnoHhDgEqRmBaoNMIQ
X-IronPort-AV: E=Sophos;i="4.97,753,1389762000"; d="scan'208";a="91140842"
Received: from 69-196-168-232.dsl.teksavvy.com (HELO pastel.home)
 ([69.196.168.232])
 by ironport2-out.teksavvy.com with ESMTP/TLS/DHE-RSA-AES256-SHA;
 28 Sep 2014 22:30:53 -0400
Received: by pastel.home (Postfix, from userid 20848)
 id 907907D02; Sun, 28 Sep 2014 22:30:53 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
Message-ID: <jwvfvfb6tx5.fsf-monnier+emacsbugs@HIDDEN>
References: <CAMy5G4jmzrVi5TccVxcvCaHkGgmuxk9-iM9+tXqN5GiOZQ3jBA@HIDDEN>
 <87y4t4fanm.fsf@HIDDEN>
 <CAMy5G4jCKcfCWF=zWEAUszCO1k=jN_A79jNvez1=7+u-DMCELg@HIDDEN>
 <87wq8of3bn.fsf@HIDDEN> <83wq8nn2bq.fsf@HIDDEN>
 <CAMy5G4hO-iPzaise_9VphEeH9TPdC-zEB44yCsDba94SkCvuag@HIDDEN>
Date: Sun, 28 Sep 2014 22:30:53 -0400
In-Reply-To: <CAMy5G4hO-iPzaise_9VphEeH9TPdC-zEB44yCsDba94SkCvuag@HIDDEN>
 (Amit Barve's message of "Mon, 29 Sep 2014 06:56:53 +0530")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> I think if we can get over this limitation of Emacs it will
> make Emacs a little more powerful!

Yes, we all agree.  Eli is probably the most knowledgeable about fixing
this bug.  Maybe some kind of caching could get us there.


        Stefan




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#18530: 24.3; Emacs unable to handle very large lines
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 29 Sep 2014 02:43:02 +0000
Resent-Message-ID: <handler.18530.B18530.141195857422971 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 18530
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Stefan Monnier <monnier@HIDDEN>
Cc: 18530 <at> debbugs.gnu.org, flexibeast@HIDDEN, mtbar131@HIDDEN
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 18530-submit <at> debbugs.gnu.org id=B18530.141195857422971
          (code B ref 18530); Mon, 29 Sep 2014 02:43:02 +0000
Received: (at 18530) by debbugs.gnu.org; 29 Sep 2014 02:42:54 +0000
Received: from localhost ([127.0.0.1]:54728 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XYQvN-0005yR-P0
	for submit <at> debbugs.gnu.org; Sun, 28 Sep 2014 22:42:54 -0400
Received: from mtaout23.012.net.il ([80.179.55.175]:45939)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1XYQvJ-0005yG-P3
 for 18530 <at> debbugs.gnu.org; Sun, 28 Sep 2014 22:42:51 -0400
Received: from conversion-daemon.a-mtaout23.012.net.il by
 a-mtaout23.012.net.il (HyperSendmail v2007.08) id
 <0NCN00E0056WH900@HIDDEN> for 18530 <at> debbugs.gnu.org;
 Mon, 29 Sep 2014 05:42:47 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout23.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NCN00E3Q67BF540@HIDDEN>;
 Mon, 29 Sep 2014 05:42:47 +0300 (IDT)
Date: Mon, 29 Sep 2014 05:42:37 +0300
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <jwvfvfb6tx5.fsf-monnier+emacsbugs@HIDDEN>
X-012-Sender: halo1@HIDDEN
Message-id: <83k34nm9k2.fsf@HIDDEN>
References: <CAMy5G4jmzrVi5TccVxcvCaHkGgmuxk9-iM9+tXqN5GiOZQ3jBA@HIDDEN>
 <87y4t4fanm.fsf@HIDDEN>
 <CAMy5G4jCKcfCWF=zWEAUszCO1k=jN_A79jNvez1=7+u-DMCELg@HIDDEN>
 <87wq8of3bn.fsf@HIDDEN> <83wq8nn2bq.fsf@HIDDEN>
 <CAMy5G4hO-iPzaise_9VphEeH9TPdC-zEB44yCsDba94SkCvuag@HIDDEN>
 <jwvfvfb6tx5.fsf-monnier+emacsbugs@HIDDEN>
X-Spam-Score: 1.0 (+)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Stefan Monnier <monnier@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  18530 <at> debbugs.gnu.org,  Alexis <flexibeast@HIDDEN>
> Date: Sun, 28 Sep 2014 22:30:53 -0400
> 
> > I think if we can get over this limitation of Emacs it will
> > make Emacs a little more powerful!
> 
> Yes, we all agree.  Eli is probably the most knowledgeable about fixing
> this bug.

Eli has actually filed the original bug about this.

> Maybe some kind of caching could get us there.

Not sure how that could help.  Anyway, this issue is constantly on my
mind, so "some day" I might have an idea.  Or maybe someone else will.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#18530: 24.3; Emacs unable to handle very large lines
Resent-From: Amit Barve <mtbar131@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 29 Sep 2014 02:52:01 +0000
Resent-Message-ID: <handler.18530.B18530.141195907223733 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 18530
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 18530 <at> debbugs.gnu.org, Alexis <flexibeast@HIDDEN>, Stefan Monnier <monnier@HIDDEN>
Received: via spool by 18530-submit <at> debbugs.gnu.org id=B18530.141195907223733
          (code B ref 18530); Mon, 29 Sep 2014 02:52:01 +0000
Received: (at 18530) by debbugs.gnu.org; 29 Sep 2014 02:51:12 +0000
Received: from localhost ([127.0.0.1]:54731 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XYR3P-0006Ai-RP
	for submit <at> debbugs.gnu.org; Sun, 28 Sep 2014 22:51:12 -0400
Received: from mail-ig0-f179.google.com ([209.85.213.179]:61659)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <mtbar131@HIDDEN>) id 1XYR3M-0006AW-VJ
 for 18530 <at> debbugs.gnu.org; Sun, 28 Sep 2014 22:51:09 -0400
Received: by mail-ig0-f179.google.com with SMTP id uq10so1472400igb.0
 for <18530 <at> debbugs.gnu.org>; Sun, 28 Sep 2014 19:51:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type;
 bh=Isyw7ouBDGWvlVL4zVtM7NJzGi++ih05GsSvOTW0GpU=;
 b=iMHL9QorqJeSF/xcnB4u++HmBdudlslMaVNfNrLOVt+dqjNuygAinb/FbsGxhB+dD/
 XyxCG/bKLTqr+0G+Jg+j4bz8tM7jkL8MhoWWD2Pr9gmXwH5VW7KnyyrfUlv4zqJzW059
 6HGKtRm1BvMyvUqfPXo3oBiGJd9vfiYvqvYMSyyZgzpI2dnJgz06Fo2vNI7U06MCxXSu
 mXV+dWmh7a0MBPbdthkEGZpGvUnaOrFu7FWhYLqG2wzQ8VSAhCBXkU7yYRtJ9+4PDRt+
 s6nydb6X1uE0Pq8KVuS0bTpEQ57z8TfXJ8dl1MWzvvRe/48iAAxdedh9Ej4ufHXDxUij
 dCPg==
MIME-Version: 1.0
X-Received: by 10.50.62.50 with SMTP id v18mr31104544igr.21.1411959068277;
 Sun, 28 Sep 2014 19:51:08 -0700 (PDT)
Received: by 10.107.15.88 with HTTP; Sun, 28 Sep 2014 19:51:08 -0700 (PDT)
In-Reply-To: <83k34nm9k2.fsf@HIDDEN>
References: <CAMy5G4jmzrVi5TccVxcvCaHkGgmuxk9-iM9+tXqN5GiOZQ3jBA@HIDDEN>
 <87y4t4fanm.fsf@HIDDEN>
 <CAMy5G4jCKcfCWF=zWEAUszCO1k=jN_A79jNvez1=7+u-DMCELg@HIDDEN>
 <87wq8of3bn.fsf@HIDDEN> <83wq8nn2bq.fsf@HIDDEN>
 <CAMy5G4hO-iPzaise_9VphEeH9TPdC-zEB44yCsDba94SkCvuag@HIDDEN>
 <jwvfvfb6tx5.fsf-monnier+emacsbugs@HIDDEN>
 <83k34nm9k2.fsf@HIDDEN>
Date: Mon, 29 Sep 2014 08:21:08 +0530
Message-ID: <CAMy5G4gTg9FOgJo+hXfotQmL0qpwumKfqgbRmEmvjeO6AhLE-A@HIDDEN>
From: Amit Barve <mtbar131@HIDDEN>
Content-Type: multipart/alternative; boundary=047d7bdc0854b3d96005042b567d
X-Spam-Score: -0.4 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.4 (/)

--047d7bdc0854b3d96005042b567d
Content-Type: text/plain; charset=UTF-8

Thanks a lot!
I hope that this will get fixed soon
Till then we can use "long-line mode!"

On Mon, Sep 29, 2014 at 8:12 AM, Eli Zaretskii <eliz@HIDDEN> wrote:

> > From: Stefan Monnier <monnier@HIDDEN>
> > Cc: Eli Zaretskii <eliz@HIDDEN>,  18530 <at> debbugs.gnu.org,  Alexis <
> flexibeast@HIDDEN>
> > Date: Sun, 28 Sep 2014 22:30:53 -0400
> >
> > > I think if we can get over this limitation of Emacs it will
> > > make Emacs a little more powerful!
> >
> > Yes, we all agree.  Eli is probably the most knowledgeable about fixing
> > this bug.
>
> Eli has actually filed the original bug about this.
>
> > Maybe some kind of caching could get us there.
>
> Not sure how that could help.  Anyway, this issue is constantly on my
> mind, so "some day" I might have an idea.  Or maybe someone else will.
>

Thanks
Amit Barve

--047d7bdc0854b3d96005042b567d
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div><div>Thanks a lot!<br></div>I hope that this will get=
 fixed soon<br></div>Till then we can use &quot;long-line mode!&quot;<br><d=
iv class=3D"gmail_extra"><br><div class=3D"gmail_quote">On Mon, Sep 29, 201=
4 at 8:12 AM, Eli Zaretskii <span dir=3D"ltr">&lt;<a href=3D"mailto:eliz@gn=
u.org" target=3D"_blank">eliz@HIDDEN</a>&gt;</span> wrote:<br><blockquote =
class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid=
;padding-left:1ex">&gt; From: Stefan Monnier &lt;<a href=3D"mailto:monnier@=
iro.umontreal.ca">monnier@HIDDEN</a>&gt;<br>
&gt; Cc: Eli Zaretskii &lt;<a href=3D"mailto:eliz@HIDDEN">eliz@HIDDEN</a>=
&gt;,=C2=A0 <a href=3D"mailto:18530 <at> debbugs.gnu.org">18530 <at> debbugs.gnu.org<=
/a>,=C2=A0 Alexis &lt;<a href=3D"mailto:flexibeast@HIDDEN">flexibeast@gm=
ail.com</a>&gt;<br>
&gt; Date: Sun, 28 Sep 2014 22:30:53 -0400<br>
<span class=3D"">&gt;<br>
&gt; &gt; I think if we can get over this limitation of Emacs it will<br>
&gt; &gt; make Emacs a little more powerful!<br>
&gt;<br>
&gt; Yes, we all agree.=C2=A0 Eli is probably the most knowledgeable about =
fixing<br>
&gt; this bug.<br>
<br>
</span>Eli has actually filed the original bug about this.<br>
<span class=3D""><br>
&gt; Maybe some kind of caching could get us there.<br>
<br>
</span>Not sure how that could help.=C2=A0 Anyway, this issue is constantly=
 on my<br>
mind, so &quot;some day&quot; I might have an idea.=C2=A0 Or maybe someone =
else will.<br>
</blockquote></div><br></div><div class=3D"gmail_extra">Thanks<br>Amit Barv=
e<br></div></div>

--047d7bdc0854b3d96005042b567d--




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 24 Sep 2016 11:32:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 24 07:32:51 2016
Received: from localhost ([127.0.0.1]:33934 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bnlCN-0002oe-G1
	for submit <at> debbugs.gnu.org; Sat, 24 Sep 2016 07:32:51 -0400
Received: from eggs.gnu.org ([208.118.235.92]:44615)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1bnlCL-0002oR-1R
 for control <at> debbugs.gnu.org; Sat, 24 Sep 2016 07:32:49 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1bnlCC-0002kj-Nr
 for control <at> debbugs.gnu.org; Sat, 24 Sep 2016 07:32:43 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.3 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:36912)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1bnlCC-0002kW-LB; Sat, 24 Sep 2016 07:32:40 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1102
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1bnlC9-0000i1-Ol; Sat, 24 Sep 2016 07:32:40 -0400
Date: Sat, 24 Sep 2016 14:32:44 +0300
Message-Id: <838tuhcz37.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andreas Nilsson <an@HIDDEN>
In-reply-to: <20160924110901.5482c558@HIDDEN> (message from Andreas
 Nilsson on Sat, 24 Sep 2016 11:09:01 +0200)
Subject: Re: bug#24523: Base64 images makes Emacs slow
References: <20160924073739.59fca4e0@HIDDEN>
 <83h995dbzu.fsf@HIDDEN> <20160924110901.5482c558@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -8.1 (--------)
X-Debbugs-Envelope-To: control
Cc: 24523 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -8.1 (--------)

merge 24523 13675
thanks

> Date: Sat, 24 Sep 2016 11:09:01 +0200
> From: Andreas Nilsson <an@HIDDEN>
> Cc: 24523 <at> debbugs.gnu.org
> 
> 1. emacs -Q
> 2. Visit https://www.base64-image.de/ and "click here" select an image
> (I selected a ~200kB one)
> 3. Click "show code" and copy paste the string you get into *scratch*.
> 4. Now try C-v and M-v as well as type some characters, this is the
> point where it lags.

This creates a single physical line whose length is 280K characters.
It is a known limitation of the Emacs display engine that it's very
slow with such long lines.  See bug #13675.




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 14 Feb 2018 19:55:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 14 14:55:32 2018
Received: from localhost ([127.0.0.1]:43207 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1em39Q-00062x-5u
	for submit <at> debbugs.gnu.org; Wed, 14 Feb 2018 14:55:32 -0500
Received: from eggs.gnu.org ([208.118.235.92]:35991)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1em39O-00062k-4g
 for control <at> debbugs.gnu.org; Wed, 14 Feb 2018 14:55:30 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1em39I-0003xm-Af
 for control <at> debbugs.gnu.org; Wed, 14 Feb 2018 14:55:25 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:43655)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1em39I-0003xY-3u
 for control <at> debbugs.gnu.org; Wed, 14 Feb 2018 14:55:24 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>) id 1em39H-00059S-SU
 for control <at> debbugs.gnu.org; Wed, 14 Feb 2018 14:55:23 -0500
Subject: control message for bug 30457
To: <control <at> debbugs.gnu.org>
X-Mailer: mail (GNU Mailutils 2.99.98)
Message-Id: <E1em39H-00059S-SU@HIDDEN>
From: Glenn Morris <rgm@HIDDEN>
Date: Wed, 14 Feb 2018 14:55:23 -0500
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

merge 15555 30457




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 10 Mar 2020 14:40:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 10 10:40:19 2020
Received: from localhost ([127.0.0.1]:53052 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jBg3O-0007um-Ty
	for submit <at> debbugs.gnu.org; Tue, 10 Mar 2020 10:40:19 -0400
Received: from eggs.gnu.org ([209.51.188.92]:57342)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>)
 id 1jBg3N-0007uW-CY; Tue, 10 Mar 2020 10:40:17 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36981)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1jBg3I-0002Hs-2m; Tue, 10 Mar 2020 10:40:12 -0400
Received: from [176.228.60.248] (port=1144 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jBg3H-0006JF-DX; Tue, 10 Mar 2020 10:40:11 -0400
Date: Tue, 10 Mar 2020 16:40:12 +0200
Message-Id: <831rq0b7eb.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jan Synacek <jsynacek@HIDDEN>
In-Reply-To: <m6fmu8oh76f.fsf@HIDDEN> (message from Jan
 Synacek on Tue, 10 Mar 2020 10:48:24 +0100)
Subject: Re: bug#40007: 28.0.50;
 Emacs gets very slow when displaying a long line
References: <m6fmu8oh76f.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: control
Cc: 40007 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

merge 40007 13675
thanks

> From: Jan Synacek <jsynacek@HIDDEN>
> Date: Tue, 10 Mar 2020 10:48:24 +0100
> 
> 
> 1) emacs -Q
> 2) M-x shell
> 3) execute a program that displays a single line, about ~193000
> characters long
> 
> I accidentaly wrote a scheme program that dumped an entire file as a
> single line, about 193k characters long, into the shell buffer. Emacs'
> reponse latency becomes *very* slow, especially when navigating the
> point over the long line.

This is bug#13675 (and others that were merged with it).

We now have so-long-mode to alleviate some of the problems.




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 21 Aug 2020 17:06:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 21 13:06:02 2020
Received: from localhost ([127.0.0.1]:48187 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k9AUM-0004Jo-OQ
	for submit <at> debbugs.gnu.org; Fri, 21 Aug 2020 13:06:02 -0400
Received: from mail-yb1-f174.google.com ([209.85.219.174]:45008)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1k9AUK-0004In-CS
 for control <at> debbugs.gnu.org; Fri, 21 Aug 2020 13:06:00 -0400
Received: by mail-yb1-f174.google.com with SMTP id i10so1381911ybt.11
 for <control <at> debbugs.gnu.org>; Fri, 21 Aug 2020 10:06:00 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:mime-version:date:message-id:subject:to;
 bh=oO9Ukq+yL4ZHa0KQ3n/6AXU2R4rT5NZrp+6JqNA8vXs=;
 b=B00hZFAjjv4zhs0/bD9bxKdj1lVqPpRYMkLisYQ7tPCA2st+k4JOROGea4pw6tonnA
 z5DdFSEoXqRKbwiYYvb0YxRW4/DW2dF5SPeUTQccv5eE82KtrRMt+S7108n1wXbfArGB
 Duav4NgKnHc/o5bx8l4eMd2Lo0BnS7+TGDtt1CmKjXrbDdD0MULVpnFAcyRgqXzGHats
 HPmLE0/DvYYhmE0jFuFKL5paKjijmavFPvRp/Cm6ckGSbQVt0GAwRpMexsKigkkdLD5f
 DJxmzVtPeZP8Z2iwatMGOniG7oEqVO3P9vmVGi1B8P4mCIg3FrSoModeXXRqIw+d/4WZ
 cAnA==
X-Gm-Message-State: AOAM530X93b2aGdrifXMvwSDK0LVHD+ncNxmkTegsH6jc6k13eBxUUgP
 kOOGL8BY6nftBY+omOM1HUfDWOrVKoUpzF64ysd9AxvEhwvvsA==
X-Google-Smtp-Source: ABdhPJyDk5CYbpOPdrj7bSkIgXmyc2pJB2JjTXo25T+CIu9inVCfq78tsVKYcz61E2t2lbTEqiuM16cFPYs0F6tif1U=
X-Received: by 2002:a25:b290:: with SMTP id k16mr4822633ybj.389.1598029554876; 
 Fri, 21 Aug 2020 10:05:54 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Fri, 21 Aug 2020 10:05:54 -0700
From: Stefan Kangas <stefan@HIDDEN>
MIME-Version: 1.0
Date: Fri, 21 Aug 2020 10:05:54 -0700
Message-ID: <CADwFkmksV_K_mYcKXKtdTA0kCXQ9eLvrHw9fCiBTD1Wqu0-exA@HIDDEN>
Subject: 
To: control <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  merge 13675 32523 thanks 
 Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (stefankangas[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.219.174 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.219.174 listed in wl.mailspike.net]
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
 EnvelopeFrom freemail headers are different
 2.0 BLANK_SUBJECT          Subject is present but empty
 0.0 UNPARSEABLE_RELAY      Informational: message has unparseable relay
 lines
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  merge 13675 32523 thanks 
 
 Content analysis details:   (1.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.219.174 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.219.174 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (stefankangas[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
                             mail domains are different
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
                             EnvelopeFrom freemail headers are
                             different
  2.0 BLANK_SUBJECT          Subject is present but empty
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 UNPARSEABLE_RELAY      Informational: message has unparseable relay
                             lines

merge 13675 32523
thanks




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 21 Aug 2020 17:42:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 21 13:42:23 2020
Received: from localhost ([127.0.0.1]:48238 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k9B3X-0007VV-2l
	for submit <at> debbugs.gnu.org; Fri, 21 Aug 2020 13:42:23 -0400
Received: from mail-yb1-f178.google.com ([209.85.219.178]:35257)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1k9B3S-0007V9-Lg
 for control <at> debbugs.gnu.org; Fri, 21 Aug 2020 13:42:21 -0400
Received: by mail-yb1-f178.google.com with SMTP id y134so1460055yby.2
 for <control <at> debbugs.gnu.org>; Fri, 21 Aug 2020 10:42:18 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:mime-version:date:message-id:subject:to;
 bh=EWV69o2tJibW/qvbUF6dqOcHAYWps8Mkc9e4bv8rbhU=;
 b=YEkv0iJYDZN6/jvtVYM+J+9Buy6yaMMVfwpDA2uVayEEXsKmG5G2AHclYojzVAdWyi
 c5bLtHXM//llNE9Gd90wXhfJ4cXrQISpaEP5Dmp9CfXUwPPVm99Dbvylxb5I3IauF6NW
 d+06q/oRRvxfyKJvOkxjkDTU+KahbmbGGLTLXgGw+T1RL+8W68u16qai50C05UfwJ47o
 gGFkTUM7S3p/xeT3Tv+90nf7zzqMp8lNJphMaQJ59fDMikCxVelwwKKKbTbiFqvtkd+Y
 g28ksVg4znTVM7Sm5bvk2HFjxOMusIfjRqalwGwy8R7Bh8UH1gt8Hzc4e8JSRSFUPNSf
 tH+Q==
X-Gm-Message-State: AOAM532EKDD4THkT5g2xf++7vJ3rgfsWJRYCXq0rjqH7KsH/VZ4bKwLS
 S3mOHKcIar3cyUJfwGx7PZkobleXeCaY2Se+WxhOv4h/gnWEgQ==
X-Google-Smtp-Source: ABdhPJyhkJ+ZWtZcBFaHE1oBMiKOVWOQnTSGkJIWAH4N+fWv8b8N8GlbjMdcPi5Fg7F2qQj4/LPz1s7H71KL6bxtXLc=
X-Received: by 2002:a5b:410:: with SMTP id m16mr4981727ybp.309.1598031732879; 
 Fri, 21 Aug 2020 10:42:12 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Fri, 21 Aug 2020 10:42:11 -0700
From: Stefan Kangas <stefan@HIDDEN>
MIME-Version: 1.0
Date: Fri, 21 Aug 2020 10:42:11 -0700
Message-ID: <CADwFkmkkygLDpLJwD8ojdWJBXH3h6V55wp=U65f8t9qsNVEn-g@HIDDEN>
Subject: 
To: control <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  severity 22143 normal merge 13675 22143 thanks 
 Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (stefankangas[at]gmail.com)
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.219.178 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.219.178 listed in wl.mailspike.net]
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
 EnvelopeFrom freemail headers are different
 2.0 BLANK_SUBJECT          Subject is present but empty
 0.0 UNPARSEABLE_RELAY      Informational: message has unparseable relay
 lines
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  severity 22143 normal merge 13675 22143 thanks 
 
 Content analysis details:   (1.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.219.178 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.219.178 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (stefankangas[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
                             mail domains are different
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
                             EnvelopeFrom freemail headers are
                             different
  2.0 BLANK_SUBJECT          Subject is present but empty
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 UNPARSEABLE_RELAY      Informational: message has unparseable relay
                             lines

severity 22143 normal
merge 13675 22143
thanks





Last modified: Fri, 21 Aug 2020 17:45:03 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.